#ifndef DEBUG_IO_H
#define DEBUG_IO_H
/**
   Debug.h
      by Matthew Ford,  2020/01/27
   (c)2019 Forward Computing and Control Pty. Ltd.
   NSW, Australia  www.forward.com.au
*/

#include "Arduino.h" // for Stream

/* must call this first to get any debug output
    @param ioPtr -- pointer to the Stream to use for debugging
*/
void setDebugPtr(Stream *ioPtr);

// must call this in the file you want to debug
Stream* getDebugPtr();

#endif // DEBUG_IO_H
